<mixer>
	<!-- default digital pga values -->
	<ctl name="DACL_PRE_PGA_GAIN" value="110" />
	<ctl name="DACR_PRE_PGA_GAIN" value="110" />
	<ctl name="DACL_POST_PGA_GAIN" value="110" />
	<ctl name="DACR_POST_PGA_GAIN" value="110" />
	<!-- default analog pga values -->
	<ctl name="MIC3_PGA_GAIN" value="0" />
	<ctl name="MIC4_PGA_GAIN" value="0" />
	<ctl name="AUXMIC_PGA_GAIN" value="0" />
	<ctl name="HSMIC_PGA_GAIN" value="0" />
	<ctl name="MAD_PGA_GAIN" value="11" />
	<!-- default boost disable -->
	<ctl name="HSMIC_ADC_BOOST" value="0" />
	<ctl name="AUXMIC_ADC_BOOST" value="0" />
	<ctl name="MIC3_ADC_BOOST" value="0" />
	<ctl name="MIC4_ADC_BOOST" value="0" />
	<ctl name="MIC5_ADC_BOOST" value="0" />
	<ctl name="MAD_ADC_BOOST" value="0" />
	<ctl name="S2_IL_PGA_GAIN" value="136" />
	<ctl name="S2_IR_PGA_GAIN" value="136" />

	<path name="virtual_btn" >
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="MIC5_PGA_GAIN" value="12" />
	</path>

	<path name="audio-hp-path-volume" >
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
		<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	</path>
	<path name="audio-pa-path-volume" >
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	</path>
	<path name="audio-pre-path-volume" >
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	</path>
	<path name="audio-earpiece-path-volume" >
		<ctl name="DACL_MIXER_S1L_GAIN" value="1" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="1" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="2" />
	</path>
	<path name="media-headset" >
		<path name="audio-hp-path-volume" />
	</path>

	<path name="media-44k1-headset" >
		<path name="audio-hp-path-volume" />
	</path>

	<path name="media-88k2-headset" >
		<path name="audio-hp-path-volume" />
	</path>

	<path name="media-176k4-headset" >
		<ctl name="DACL_POST_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_S1R_GAIN" value="3" />
	</path>

	<path name="media-96k-headset" >
		<path name="audio-hp-path-volume" />
	</path>
	<path name="media-192k-headset" >
		<ctl name="DACL_POST_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_S1R_GAIN" value="3" />
	</path>

	<path name="media-384k-headset" >
		<path name="audio-hp-path-volume" />
	</path>

	<path name="media-headphone" >
		<path name="media-headset" />
	</path>

	<path name="media-44k1-headphone" >
		<path name="media-44k1-headset" />
	</path>

	<path name="media-88k2-headphone" >
		<path name="media-88k2-headset" />
	</path>

	<path name="media-176k4-headphone" >
		<path name="media-176k4-headset" />
	</path>

	<path name="media-96k-headphone" >
		<path name="media-96k-headset" />
	</path>
	<path name="media-192k-headphone" >
		<path name="media-192k-headset" />
	</path>
	<path name="media-384k-headphone" >
		<path name="media-384k-headset" />
	</path>
	<path name="media-speaker-earpiece" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<path name="audio-pa-path-volume" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="2" />
		<ctl name="EP_GAIN" value="7" />
	</path>

	<path name="media-speaker-headset" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
		<path name="audio-hp-path-volume" />
		<ctl name="DACL_PRE_PGA_GAIN" value="78" />
		<ctl name="DACR_PRE_PGA_GAIN" value="78" />
	</path>

	<path name="media-speaker-headphone" >
		<path name="media-speaker-headset" />
	</path>

	<path name="media-speaker" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	</path>
	<path name="media-earpiece" >
		<path name="audio-earpiece-path-volume" />
		<ctl name="EP_GAIN" value="7" />
	</path>
	<path name="communication-earpiece" >
		<path name="media-earpiece" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-speaker" >
		<path name="media-speaker" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-headset" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<path name="audio-hp-path-volume" />
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="communication-headphone" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<path name="audio-hp-path-volume" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-speaker-earpiece" >
		<path name="media-speaker-earpiece" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-speaker-headset" >
		<path name="media-speaker-headset" />
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="communication-speaker-headphone" >
		<path name="media-speaker-headset" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="media-fm-earpiece" >

	</path>

	<path name="media-fm-speaker" >

	</path>

	<path name="media-fm-headphone" >

	</path>

	<path name="media-fm-headset" >

	</path>

	<path name="dup-media-fm-earpiece" >
		<path name="media-earpiece" />
	</path>

	<path name="dup-media-fm-speaker" >
		<path name="media-speaker" />
	</path>

	<path name="dup-media-fm-headset" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="S3_IL_PGA_GAIN" value="0" />
		<ctl name="S3_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-media-fm-headphone" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="S3_IL_PGA_GAIN" value="0" />
		<ctl name="S3_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-media-fm-speaker-earpiece" >
		<path name="media-speaker-earpiece" />
	</path>

	<path name="media-fm-speaker-earpiece" >
	</path>

	<path name="dup-media-fm-speaker-headset" >
		<path name="media-speaker-headset" />
	</path>

	<path name="media-fm-speaker-headset" >
	</path>

	<path name="dup-media-fm-speaker-headphone" >
		<path name="media-speaker-headset" />
	</path>

	<path name="media-fm-speaker-headphone" >
	</path>

	<path name="dup-media-fm-bt-sco-headset-speaker" >
	</path>

	<path name="media-fm-bt-sco-headset-speaker" >
	</path>

	<path name="call-swb-m0-earpiece" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="1" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="1" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="2" />
		<ctl name="EP_GAIN" value="7" />
	</path>

	<path name="call-swb-m0-speaker" >
		<path name="audio-pa-path-volume" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="call-swb-m0-headset" >
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="call-swb-m0-headphone" >
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="call-swb-m0-bt-sco-headset" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="call-swb-m0-speaker-earpiece" >
		<path name="audio-pa-path-volume" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="2" />
		<ctl name="EP_GAIN" value="7" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="call-swb-m1-earpiece" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="1" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="1" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="2" />
		<ctl name="EP_GAIN" value="7" />
	</path>

	<path name="call-swb-m1-speaker" >
		<path name="audio-pa-path-volume" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="call-swb-m1-headset" >
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="call-swb-m1-headphone" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="call-swb-m1-bt-sco-headset" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
		<path name="audio-pre-path-volume" />
	</path>

	<path name="call-swb-m1-speaker-earpiece" >
		<path name="audio-pa-path-volume" />
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="dup-call-swb-m0-earpiece" >
		<path name="call-swb-m1-earpiece" />
	</path>

	<path name="dup-call-swb-m0-speaker" >
		<path name="call-swb-m1-speaker" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m0-headset" >
		<path name="call-swb-m1-headset" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m0-headphone" >
		<path name="call-swb-m1-headphone" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m0-bt-sco-headset" >
		<path name="call-swb-m0-bt-sco-headset" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m0-speaker-earpiece" >
		<path name="call-swb-m0-earpiece" />
		<path name="media-speaker-earpiece" />
	</path>

	<path name="dup-call-swb-m0-speaker-headphone" >
		<path name="call-swb-m0-headphone" />
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-call-swb-m0-speaker-headset" >
		<path name="call-swb-m0-headset" />
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-call-swb-m0-speaker-bt-sco-headset" >
		<path name="call-swb-m0-bt-sco-headset" />
		<path name="media-speaker" />
	</path>

	<path name="dup-call-swb-m1-speaker-earpiece" >
		<path name="call-swb-m1-earpiece" />
		<path name="media-speaker-earpiece" />
	</path>

	<path name="dup-call-swb-m1-speaker-headset" >
		<path name="call-swb-m1-headset" />
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-call-swb-m1-speaker-headphone" >
		<path name="call-swb-m1-headphone" />
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-call-swb-m1-speaker-bt-sco-headset" >
		<path name="call-swb-m1-bt-sco-headset" />
	</path>

	<path name="dup-call-swb-m1-earpiece" >
		<path name="call-swb-m1-earpiece" />
	</path>

	<path name="dup-call-swb-m1-speaker" >
		<path name="call-swb-m1-speaker" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m1-headset" >
		<path name="call-swb-m1-headset" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m1-headphone" >
		<path name="call-swb-m1-headphone" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="dup-call-swb-m1-bt-sco-headset" >
		<path name="call-swb-m1-bt-sco-headset" />
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="audio-capture" >
	</path>

	<path name="audio-capture-typec-headphone" >
	</path>

	<path name="media-main-mic" >
		<ctl name="MIC4_PGA_GAIN" value="13" />
		<ctl name="HSMIC_PGA_GAIN" value="13" />
	</path>

	<path name="media-headset-mic" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="media-headset-combine-record-channel" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
	</path>

	<path name="media-typec-combine-record-channel" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
	</path>

	<path name="communication-mic" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-handfree-mic" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="communication-headset-mic" >
		<ctl name="MIC3_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="camcorder-mic" >
		<ctl name="MIC3_PGA_GAIN" value="13" />
		<ctl name="MIC4_PGA_GAIN" value="13" />
		<ctl name="AUXMIC_PGA_GAIN" value="13" />
		<ctl name="HSMIC_PGA_GAIN" value="13" />
	</path>

	<path name="hearingaid-mic" >
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="voice-rec-mic" >
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="voice-rec-handfree-mic" >
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="voice-normal-mic" >
		<ctl name="MIC3_PGA_GAIN" value="8" />
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="AUXMIC_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="voice-rec-headset-mic" >
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="voice-rec-ec-mic" >
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="voice-rec-2ec-mic" >
		<ctl name="MIC3_PGA_GAIN" value="12" />
		<ctl name="MIC4_PGA_GAIN" value="12" />
		<ctl name="AUXMIC_PGA_GAIN" value="12" />
		<ctl name="HSMIC_PGA_GAIN" value="12" />
	</path>

	<path name="voice-rec-nr-mic" >
		<ctl name="MIC3_PGA_GAIN" value="15" />
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="AUXMIC_PGA_GAIN" value="15" />
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="call-swb-m1-mic" >
	</path>

	<path name="call-swb-m1-bt-sco-mic" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>
	<path name="call-swb-m1-handfree-mic" >
	</path>

	<path name="call-swb-m1-headset-mic" >

	</path>

	<path name="media-bt-sco" >
		<path name="audio-pre-path-volume" />
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="media-bt-sco-mic" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="rec-media-bt-sco-mic" >
		<path name="media-bt-sco-mic" />
	</path>

	<path name="media-fm-main-mic" >
		<path name="media-main-mic" />
	</path>

	<path name="media-fm-headset-mic" >
		<path name="media-headset-mic" />
	</path>

	<path name="call-swb-m0-mic" >
	</path>

	<path name="call-swb-m0-handfree-mic" >
	</path>

	<path name="call-swb-m0-headset-mic" >

	</path>

	<path name="call-swb-m0-bt-sco-mic" >

	</path>

	<path name="call-swb-typec-headphone" >
	</path>

	<path name="call-m0-earpiece" >
		<path name="call-swb-m0-earpiece" />
	</path>

	<path name="call-m0-speaker-earpiece" >
	</path>

	<path name="call-m0-speaker" >
		<path name="call-swb-m0-speaker" />
	</path>

	<path name="call-m0-headset" >
		<path name="call-swb-m0-headset" />
	</path>

	<path name="call-m0-headphone" >
		<path name="call-swb-m0-headphone" />
	</path>

	<path name="call-m0-headset-mic" >
	</path>

	<path name="call-m0-mic" >
	</path>

	<path name="call-m0-handfree-mic" >
	</path>

	<path name="dup-call-m0-earpiece" >
		<path name="call-m0-earpiece" />
	</path>

	<path name="dup-call-m0-speaker" >
		<path name="call-m0-speaker" />
	</path>

	<path name="dup-call-m0-headset" >
		<path name="call-m0-headset" />
	</path>

	<path name="dup-call-m0-headphone" >
		<path name="call-m0-headphone" />
	</path>

	<path name="dup-call-m0-speaker-earpiece" >
		<path name="dup-call-swb-m0-speaker-earpiece" />
	</path>

	<path name="dup-call-m0-speaker-headphone" >
		<path name="dup-call-swb-m0-speaker-headphone" />
	</path>

	<path name="dup-call-m0-speaker-headset" >
		<path name="dup-call-swb-m0-speaker-headset" />
	</path>

	<path name="rec-call-m0-headset-mic" >
	</path>

	<path name="rec-call-m0-mic" >
	</path>

	<path name="call-m1-earpiece" >
		<path name="call-m0-earpiece" />
	</path>

	<path name="call-m1-speaker" >
		<path name="call-m0-speaker" />
	</path>

	<path name="call-m1-speaker-earpiece" >
		<path name="call-m0-speaker-earpiece" />
	</path>

	<path name="call-m1-headset" >
		<path name="call-m0-headset" />
	</path>

	<path name="call-m1-headphone" >
		<path name="call-m0-headphone" />
	</path>

	<path name="call-m1-headset-mic" >
	</path>

	<path name="call-m1-mic" >
	</path>

	<path name="call-m1-handfree-mic" >
	</path>

	<path name="dup-call-m1-earpiece" >
		<path name="dup-call-m0-earpiece" />
	</path>

	<path name="dup-call-m1-speaker" >
		<path name="dup-call-m0-speaker" />
	</path>

	<path name="dup-call-m1-headset" >
		<path name="dup-call-m0-headset" />
	</path>

	<path name="dup-call-m1-headphone" >
		<path name="dup-call-m0-headphone" />
	</path>

	<path name="dup-call-m1-speaker-earpiece" >
		<path name="dup-call-m0-speaker-earpiece" />
	</path>

	<path name="dup-call-m1-speaker-headphone" >
		<path name="dup-call-m0-speaker-headphone" />
	</path>

	<path name="dup-call-m1-speaker-headset" >
		<path name="dup-call-m0-speaker-headset" />
	</path>

	<path name="rec-call-m1-headset-mic" >
	</path>

	<path name="rec-call-m1-mic" >
	</path>

	<path name="call-tty-earpiece" >
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<!-- undetermined paths -->
	<path name="media-bt-sco-headset" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="3" />
	</path>

	<path name="media-bt-sco-headset-speaker" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="3" />
	</path>

	<path name="communication-bt-sco-headset" >
		<path name="media-bt-sco-headset" />
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="communication-bt-sco-headset-speaker" >
		<path name="media-bt-sco-headset-speaker" />
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="communication-bt-sco-mic" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="media-fm-bt-sco-headset" >

	</path>

	<path name="rec-call-swb-m0-mic" >

	</path>

	<path name="rec-call-swb-typec-headphone" >
	</path>

	<path name="rec-call-swb-m0-handfree-mic" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="rec-call-swb-m0-headset-mic" >

	</path>

	<path name="rec-call-swb-m0-bt-sco-mic" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="rec-call-swb-m1-mic" >

	</path>

	<path name="rec-call-swb-m1-handfree-mic" >
		<ctl name="MIC3_PGA_GAIN" value="5" />
		<ctl name="MIC4_PGA_GAIN" value="5" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
		<ctl name="HSMIC_PGA_GAIN" value="5" />
	</path>

	<path name="rec-call-swb-m1-headset-mic" >

	</path>

	<path name="rec-call-swb-m1-bt-sco-mic" >
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<!-- volume level of voice -->
	<path name="modem0-swb-vol-0-none">
	</path>
	<path name="modem0-swb-vol-0-earpiece">
	</path>
	<path name="modem0-swb-vol-0-speaker">
	</path>
	<path name="modem0-swb-vol-0-headset">
	</path>
	<path name="modem0-swb-vol-0-headphone">
	</path>
	<path name="modem0-swb-vol-0-bt-sco">
	</path>
	<path name="modem0-swb-vol-0-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-0-speaker-headset">
	</path>
	<path name="modem0-swb-vol-0-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-0-speaker-bt-sco">
	</path>
	<path name="modem0-swb-vol-1-none">
	</path>
	<path name="modem0-swb-vol-1-earpiece">
	</path>
	<path name="modem0-swb-vol-1-speaker">
	</path>
	<path name="modem0-swb-vol-1-headset">
	</path>
	<path name="modem0-swb-vol-1-headphone">
	</path>
	<path name="modem0-swb-vol-1-bt-sco">
	</path>
	<path name="modem0-swb-vol-1-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-1-speaker-headset">
	</path>
	<path name="modem0-swb-vol-1-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-1-speaker-bt-sco">
	</path>
	<path name="modem0-swb-vol-2-none">
	</path>
	<path name="modem0-swb-vol-2-earpiece">
	</path>
	<path name="modem0-swb-vol-2-speaker">
	</path>
	<path name="modem0-swb-vol-2-headset">
	</path>
	<path name="modem0-swb-vol-2-headphone">
	</path>
	<path name="modem0-swb-vol-2-bt-sco">
	</path>
	<path name="modem0-swb-vol-2-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-2-speaker-headset">
	</path>
	<path name="modem0-swb-vol-2-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-2-speaker-bt-sco">
	</path>
	<path name="modem0-swb-vol-3-none">
	</path>
	<path name="modem0-swb-vol-3-earpiece">
	</path>
	<path name="modem0-swb-vol-3-speaker">
	</path>
	<path name="modem0-swb-vol-3-headset">
	</path>
	<path name="modem0-swb-vol-3-headphone">
	</path>
	<path name="modem0-swb-vol-3-bt-sco">
	</path>
	<path name="modem0-swb-vol-3-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-3-speaker-headset">
	</path>
	<path name="modem0-swb-vol-3-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-3-speaker-bt-sco">
	</path>
	<path name="modem0-swb-vol-4-none">
	</path>
	<path name="modem0-swb-vol-4-earpiece">
	</path>
	<path name="modem0-swb-vol-4-speaker">
	</path>
	<path name="modem0-swb-vol-4-headset">
	</path>
	<path name="modem0-swb-vol-4-headphone">
	</path>
	<path name="modem0-swb-vol-4-bt-sco">
	</path>
	<path name="modem0-swb-vol-4-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-4-speaker-headset">
	</path>
	<path name="modem0-swb-vol-4-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-4-speaker-bt-sco">
	</path>
	<path name="modem0-swb-vol-5-none">
	</path>
	<path name="modem0-swb-vol-5-earpiece">
	</path>
	<path name="modem0-swb-vol-5-speaker">
	</path>
	<path name="modem0-swb-vol-5-headset">
	</path>
	<path name="modem0-swb-vol-5-headphone">
	</path>
	<path name="modem0-swb-vol-5-bt-sco">
	</path>
	<path name="modem0-swb-vol-5-speaker-earpiece">
	</path>
	<path name="modem0-swb-vol-5-speaker-headset">
	</path>
	<path name="modem0-swb-vol-5-speaker-headphone">
	</path>
	<path name="modem0-swb-vol-5-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-0-none">
	</path>
	<path name="modem1-swb-vol-0-earpiece">
	</path>
	<path name="modem1-swb-vol-0-speaker">
	</path>
	<path name="modem1-swb-vol-0-headset">
	</path>
	<path name="modem1-swb-vol-0-headphone">
	</path>
	<path name="modem1-swb-vol-0-bt-sco">
	</path>
	<path name="modem1-swb-vol-0-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-0-speaker-headset">
	</path>
	<path name="modem1-swb-vol-0-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-0-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-1-none">
	</path>
	<path name="modem1-swb-vol-1-earpiece">
	</path>
	<path name="modem1-swb-vol-1-speaker">
	</path>
	<path name="modem1-swb-vol-1-headset">
	</path>
	<path name="modem1-swb-vol-1-headphone">
	</path>
	<path name="modem1-swb-vol-1-bt-sco">
	</path>
	<path name="modem1-swb-vol-1-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-1-speaker-headset">
	</path>
	<path name="modem1-swb-vol-1-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-1-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-2-none">
	</path>
	<path name="modem1-swb-vol-2-earpiece">
	</path>
	<path name="modem1-swb-vol-2-speaker">
	</path>
	<path name="modem1-swb-vol-2-headset">
	</path>
	<path name="modem1-swb-vol-2-headphone">
	</path>
	<path name="modem1-swb-vol-2-bt-sco">
	</path>
	<path name="modem1-swb-vol-2-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-2-speaker-headset">
	</path>
	<path name="modem1-swb-vol-2-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-2-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-3-none">
	</path>
	<path name="modem1-swb-vol-3-earpiece">
	</path>
	<path name="modem1-swb-vol-3-speaker">
	</path>
	<path name="modem1-swb-vol-3-headset">
	</path>
	<path name="modem1-swb-vol-3-headphone">
	</path>
	<path name="modem1-swb-vol-3-bt-sco">
	</path>
	<path name="modem1-swb-vol-3-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-3-speaker-headset">
	</path>
	<path name="modem1-swb-vol-3-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-3-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-4-none">
	</path>
	<path name="modem1-swb-vol-4-earpiece">
	</path>
	<path name="modem1-swb-vol-4-speaker">
	</path>
	<path name="modem1-swb-vol-4-headset">
	</path>
	<path name="modem1-swb-vol-4-headphone">
	</path>
	<path name="modem1-swb-vol-4-bt-sco">
	</path>
	<path name="modem1-swb-vol-4-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-4-speaker-headset">
	</path>
	<path name="modem1-swb-vol-4-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-4-speaker-bt-sco">
	</path>
	<path name="modem1-swb-vol-5-none">
	</path>
	<path name="modem1-swb-vol-5-earpiece">
	</path>
	<path name="modem1-swb-vol-5-speaker">
	</path>
	<path name="modem1-swb-vol-5-headset">
	</path>
	<path name="modem1-swb-vol-5-headphone">
	</path>
	<path name="modem1-swb-vol-5-bt-sco">
	</path>
	<path name="modem1-swb-vol-5-speaker-earpiece">
	</path>
	<path name="modem1-swb-vol-5-speaker-headset">
	</path>
	<path name="modem1-swb-vol-5-speaker-headphone">
	</path>
	<path name="modem1-swb-vol-5-speaker-bt-sco">
	</path>

	<!-- volume level of fm -->
	<path name="fm-vol-0-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="136" />
		<ctl name="S2_IR_PGA_GAIN" value="136" />
	</path>
	<path name="fm-vol-0-wired">
		<ctl name="S2_IL_PGA_GAIN" value="136" />
		<ctl name="S2_IR_PGA_GAIN" value="136" />
	</path>
	<path name="fm-vol-1-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="209" />
		<ctl name="S2_IR_PGA_GAIN" value="209" />
	</path>
	<path name="fm-vol-1-wired">
		<ctl name="S2_IL_PGA_GAIN" value="209" />
		<ctl name="S2_IR_PGA_GAIN" value="209" />
	</path>
	<path name="fm-vol-2-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="215" />
		<ctl name="S2_IR_PGA_GAIN" value="215" />
	</path>
	<path name="fm-vol-2-wired">
		<ctl name="S2_IL_PGA_GAIN" value="215" />
		<ctl name="S2_IR_PGA_GAIN" value="215" />
	</path>
	<path name="fm-vol-3-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="219" />
		<ctl name="S2_IR_PGA_GAIN" value="219" />
	</path>
	<path name="fm-vol-3-wired">
		<ctl name="S2_IL_PGA_GAIN" value="219" />
		<ctl name="S2_IR_PGA_GAIN" value="219" />
	</path>
	<path name="fm-vol-4-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="223" />
		<ctl name="S2_IR_PGA_GAIN" value="223" />
	</path>
	<path name="fm-vol-4-wired">
		<ctl name="S2_IL_PGA_GAIN" value="223" />
		<ctl name="S2_IR_PGA_GAIN" value="223" />
	</path>
	<path name="fm-vol-5-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="226" />
		<ctl name="S2_IR_PGA_GAIN" value="226" />
	</path>
	<path name="fm-vol-5-wired">
		<ctl name="S2_IL_PGA_GAIN" value="226" />
		<ctl name="S2_IR_PGA_GAIN" value="226" />
	</path>
	<path name="fm-vol-6-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="229" />
		<ctl name="S2_IR_PGA_GAIN" value="229" />
	</path>
	<path name="fm-vol-6-wired">
		<ctl name="S2_IL_PGA_GAIN" value="229" />
		<ctl name="S2_IR_PGA_GAIN" value="229" />
	</path>
	<path name="fm-vol-7-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="232" />
		<ctl name="S2_IR_PGA_GAIN" value="232" />
	</path>
	<path name="fm-vol-7-wired">
		<ctl name="S2_IL_PGA_GAIN" value="232" />
		<ctl name="S2_IR_PGA_GAIN" value="232" />
	</path>
	<path name="fm-vol-8-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="235" />
		<ctl name="S2_IR_PGA_GAIN" value="235" />
	</path>
	<path name="fm-vol-8-wired">
		<ctl name="S2_IL_PGA_GAIN" value="235" />
		<ctl name="S2_IR_PGA_GAIN" value="235" />
	</path>
	<path name="fm-vol-9-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="238" />
		<ctl name="S2_IR_PGA_GAIN" value="238" />
	</path>
	<path name="fm-vol-9-wired">
		<ctl name="S2_IL_PGA_GAIN" value="238" />
		<ctl name="S2_IR_PGA_GAIN" value="238" />
	</path>
	<path name="fm-vol-10-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="241" />
		<ctl name="S2_IR_PGA_GAIN" value="241" />
	</path>
	<path name="fm-vol-10-wired">
		<ctl name="S2_IL_PGA_GAIN" value="241" />
		<ctl name="S2_IR_PGA_GAIN" value="241" />
	</path>
	<path name="fm-vol-11-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="244" />
		<ctl name="S2_IR_PGA_GAIN" value="244" />
	</path>
	<path name="fm-vol-11-wired">
		<ctl name="S2_IL_PGA_GAIN" value="244" />
		<ctl name="S2_IR_PGA_GAIN" value="244" />
	</path>
	<path name="fm-vol-12-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="247" />
		<ctl name="S2_IR_PGA_GAIN" value="247" />
	</path>
	<path name="fm-vol-12-wired">
		<ctl name="S2_IL_PGA_GAIN" value="247" />
		<ctl name="S2_IR_PGA_GAIN" value="247" />
	</path>
	<path name="fm-vol-13-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="250" />
		<ctl name="S2_IR_PGA_GAIN" value="250" />
	</path>
	<path name="fm-vol-13-wired">
		<ctl name="S2_IL_PGA_GAIN" value="250" />
		<ctl name="S2_IR_PGA_GAIN" value="250" />
	</path>
	<path name="fm-vol-14-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="253" />
		<ctl name="S2_IR_PGA_GAIN" value="253" />
	</path>
	<path name="fm-vol-14-wired">
		<ctl name="S2_IL_PGA_GAIN" value="253" />
		<ctl name="S2_IR_PGA_GAIN" value="253" />
	</path>
	<path name="fm-vol-15-speaker">
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>
	<path name="fm-vol-15-wired">
		<ctl name="S2_IL_PGA_GAIN" value="0" />
		<ctl name="S2_IR_PGA_GAIN" value="0" />
	</path>

	<path name="soundtrigger-main-mic" >
		<ctl name="MAD_ADC_BOOST" value="1" />
		<ctl name="MAD_PGA_GAIN" value="2" />
	</path>

	<path name="soundtrigger-main-top-mic" >
		<ctl name="MAD_ADC_BOOST" value="1" />
		<ctl name="MAD_PGA_GAIN" value="2" />
	</path>

	<path name="soundtrigger-hs-mic" >
		<ctl name="MAD_ADC_BOOST" value="1" />
		<ctl name="MAD_PGA_GAIN" value="2" />
	</path>

	<path name="soundtrigger-mic1-mic" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="soundtrigger-mic2-mic" >
		<ctl name="MIC4_PGA_GAIN" value="15" />
	</path>

	<path name="soundtrigger-mic12-mic" >
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="soundtrigger-dualdsp-mic" >
		<ctl name="MAD_ADC_BOOST" value="1" />
		<ctl name="MAD_PGA_GAIN" value="2" />
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="soundtrigger-dualdsp-top-mic" >
		<ctl name="MAD_ADC_BOOST" value="1" />
		<ctl name="MAD_PGA_GAIN" value="2" />
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<!-- lowlatency -->
	<path name="media-lowlatency-earpiece" >
		<path name="media-earpiece" />
	</path>

	<path name="dup-media-lowlatency-earpiece" >
		<path name="media-lowlatency-earpiece" />
	</path>

	<path name="media-lowlatency-speaker" >
		<path name="media-speaker" />
	</path>

	<path name="dup-media-lowlatency-speaker" >
		<path name="media-lowlatency-speaker" />
	</path>

	<path name="media-lowlatency-headphone" >
		<path name="media-headphone" />
	</path>

	<path name="dup-media-lowlatency-headphone" >
		<path name="media-lowlatency-headphone" />
	</path>

	<path name="media-lowlatency-headset" >
		<path name="media-headset" />
	</path>

	<path name="dup-media-lowlatency-headset" >
		<path name="media-lowlatency-headset" />
	</path>

	<path name="media-lowlatency-speaker-earpiece" >
		<path name="media-speaker-earpiece" />
	</path>

	<path name="dup-media-lowlatency-speaker-earpiece" >
		<path name="media-lowlatency-speaker-earpiece" />
	</path>

	<path name="media-lowlatency-speaker-headphone" >
		<path name="media-speaker-headphone" />
	</path>

	<path name="dup-media-lowlatency-speaker-headphone" >
		<path name="media-lowlatency-speaker-headphone" />
	</path>

	<path name="media-lowlatency-speaker-headset" >
		<path name="media-speaker-headset" />
	</path>

	<path name="dup-media-lowlatency-speaker-headset" >
		<path name="media-lowlatency-speaker-headset" />
	</path>

	<path name="dup-communication-lowlatency-headset" >
		<path name="communication-headset" />
	</path>

	<path name="dup-communication-lowlatency-headphone" >
		<path name="communication-headphone" />
	</path>

	<path name="dup-communication-lowlatency-speaker-headset" >
		<path name="communication-speaker-headset" />
	</path>

	<path name="dup-communication-lowlatency-speaker-headphone" >
		<path name="communication-speaker-headphone" />
	</path>

	<path name="dup-media-44k1-fm-headset" >
		<path name="dup-media-fm-headset" />
	</path>

	<path name="dup-media-88k2-fm-headset" >
		<path name="dup-media-fm-headset" />
	</path>

	<path name="dup-media-176k4-fm-headset" >
		<path name="dup-media-fm-headset" />
	</path>

	<path name="dup-media-96k-fm-headset" >
		<path name="dup-media-fm-headset" />
	</path>

	<path name="dup-media-192k-fm-headset" >
		<path name="dup-media-fm-headset" />
	</path>

	<path name="dup-media-44k1-fm-headphone" >
		<path name="dup-media-fm-headphone" />
	</path>

	<path name="dup-media-88k2-fm-headphone" >
		<path name="dup-media-fm-headphone" />
	</path>

	<path name="dup-media-176k4-fm-headphone" >
		<path name="dup-media-fm-headphone" />
	</path>

	<path name="dup-media-96k-fm-headphone" >
		<path name="dup-media-fm-headphone" />
	</path>

	<path name="dup-media-192k-fm-headphone" >
		<path name="dup-media-fm-headphone" />
	</path>

	<path name="dup-media-44k1-lowlatency-headset" >
		<path name="media-44k1-headset" />
	</path>

	<path name="dup-media-88k2-lowlatency-headset" >
		<path name="media-88k2-headset" />
	</path>

	<path name="dup-media-176k4-lowlatency-headset" >
		<path name="media-176k4-headset" />
	</path>

	<path name="dup-media-96k-lowlatency-headset" >
		<path name="media-96k-headset" />
	</path>

	<path name="dup-media-192k-lowlatency-headset" >
		<path name="media-192k-headset" />
	</path>

	<path name="dup-media-44k1-lowlatency-headphone" >
		<path name="dup-media-44k1-lowlatency-headset" />
	</path>

	<path name="dup-media-88k2-lowlatency-headphone" >
		<path name="dup-media-88k2-lowlatency-headset" />
	</path>

	<path name="dup-media-176k4-lowlatency-headphone" >
		<path name="dup-media-176k4-lowlatency-headset" />
	</path>

	<path name="dup-media-96k-lowlatency-headphone" >
		<path name="dup-media-96k-lowlatency-headset" />
	</path>

	<path name="dup-media-192k-lowlatency-headphone" >
		<path name="dup-media-192k-lowlatency-headset" />
	</path>

	<path name="ir-study" >
		<ctl name="MIC5_PGA_GAIN" value="15" />
	</path>

	<path name="ir-study-4mic" >
		<path name="ir-study" />
	</path>

	<path name="ir-trans" >
		<ctl name="EP_GAIN" value="22" />
	</path>

	<path name="media-carkit" >
	</path>

	<path name="soundtrigger-carkit-mic" >
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="soundtrigger-speaker-mic" >
		<ctl name="MIC4_PGA_GAIN" value="8" />
		<ctl name="HSMIC_PGA_GAIN" value="8" />
	</path>

	<path name="karaoke-mic-conf" >
		<ctl name="MIC4_PGA_GAIN" value="14" />
		<ctl name="MIC4_ADC_BOOST" value="0" />
	</path>

	<path name="mmi-test-speaker" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	</path>

	<path name="mmi-test-speaker-no-algorithm" >
		<ctl name="S1_IL_PGA_BYPASS" value="0" />
		<ctl name="S1_IR_PGA_BYPASS" value="0" />
		<ctl name="S1_IL_PGA_GAIN" value="249" />
		<ctl name="S1_IR_PGA_GAIN" value="249" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
	</path>

	<path name="mmi-test-receiver" >
		<ctl name="S1_IL_PGA_BYPASS" value="0" />
		<ctl name="S1_IR_PGA_BYPASS" value="0" />
		<ctl name="S1_IL_PGA_GAIN" value="254" />
		<ctl name="S1_IR_PGA_GAIN" value="254" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="1" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="1" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="3" />
		<ctl name="EP_GAIN" value="3" />
	</path>

	<path name="mmi-test-mainleftspeaker" >
	</path>

	<path name="mmi-test-mainrightspeaker" >
	</path>

	<path name="mmi-test-receiver-high-power" >
	</path>

	<path name="mmi-test-headphone" >
		<ctl name="DACL_MIXER_S1L_GAIN" value="3" />
		<ctl name="DACR_MIXER_S1R_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_MUX9_GAIN" value="3" />
		<ctl name="DACR_PRE_MIXER_MUX10_GAIN" value="3" />
		<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	</path>

	<path name="mmi-test-speaker-receiver" >
	</path>

	<path name="mmi-test-mainmic" >
		<ctl name="HSMIC_PGA_GAIN" value="10" />
	</path>

	<path name="mmi-test-mainmic2" >
	</path>

	<path name="mmi-test-submic" >
		<ctl name="MIC4_PGA_GAIN" value="10" />
	</path>

	<path name="mmi-test-submic2" >
		<ctl name="MIC3_PGA_GAIN" value="10" />
	</path>

	<path name="mmi-test-dualmic" >
		<ctl name="HSMIC_PGA_GAIN" value="10" />
		<ctl name="MIC4_PGA_GAIN" value="10" />
	</path>

	<path name="mmi-test-allmic" >
	</path>

	<path name="mmi-test-hsmic" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
	</path>

	<path name="mmi-modem0-speaker" >
	</path>

	<path name="mmi-modem0-receiver" >
	</path>

	<path name="mmi-modem0-headphone" >
	</path>

	<path name="analog_loop_headphone" >
	</path>

	<path name="mmi-audioloop-mainmic-headphone" >
		<ctl name="HSMIC_PGA_GAIN" value="15" />
		<ctl name="DACR_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	</path>

	<path name="mmi-audioloop-mainmic2-headphone" >
	</path>

	<path name="mmi-audioloop-submic-headphone" >
		<ctl name="MIC4_PGA_GAIN" value="15" />
		<ctl name="DACR_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	</path>

	<path name="mmi-audioloop-submic2-headphone" >
	</path>

	<path name="mmi-audioloop-main1main2mic-headphone" >
	</path>

	<path name="mmi-audioloop-sub1sub2mic-headphone" >
	</path>

	<path name="mmi-audioloop-hsmic-headphone" >
		<ctl name="HSMIC_PGA_GAIN" value="10" />
		<ctl name="DACR_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_PRE_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="DACL_POST_MIXER_DAC_GAIN" value="3" />
		<ctl name="DACR_POST_MIXER_DAC_GAIN" value="3" />
	</path>

	<path name="mmi-audioloop-hsmic-receiver" >
		<ctl name="HSMIC_PGA_GAIN" value="8" />
		<ctl name="DACSL_MIXER_SIDETONE_GAIN" value="3" />
		<ctl name="EP_GAIN" value="5" />
	</path>

	<path name="mmi-audioloop-hsmic-pa-receiver" >
	</path>

	<path name="mmi-audioloop-rec-mic-headphone" >
	</path>

	<path name="mmi-audioloop-hsmic-speaker" >
		<ctl name="HSMIC_PGA_GAIN" value="4" />
	</path>

	<path name="mmi-audioloop-hsmic-mainleftspeaker" >
	</path>

	<path name="mmi-audioloop-hsmic-mainrightspeaker" >
	</path>

	<path name="mmi-lineinl-receiver-rec" >
	</path>

	<path name="mmi-lineinr-headphone-rec" >
	</path>

	<path name="mmi-mad-lineinr-headphone" >
		<ctl name="S1_IL_PGA_GAIN" value="0" />
		<ctl name="S1_IR_PGA_GAIN" value="0" />
	</path>

	<path name="mmi-fmloop-rec" >
	</path>

	<path name="mmi-breakcircuit-s3" >
	</path>

	<path name="mmi-shortcircuit-s1" >
	</path>

	<path name="mmi-shortcircuit-s2" >
	</path>

	<path name="mmi-shortcircuit-s3" >
	</path>

	<path name="mmi-shortcircuit-s4" >
	</path>

	<path name="mmi-hsmic-anc-receiver" >
	</path>

	<path name="mmi-bluetooth-loop-s2" >
	</path>

	<path name="mmi-test-receiver-with-ultrasonic" >
		<ctl name="S1_IL_PGA_BYPASS" value="0" />
		<ctl name="S1_IR_PGA_BYPASS" value="0" />
		<ctl name="S1_IL_PGA_GAIN" value="254" />
		<ctl name="S1_IR_PGA_GAIN" value="254" />
		<ctl name="DACL_MIXER_S1L_GAIN" value="1" />
		<ctl name="DACL_MIXER_S1R_GAIN" value="1" />
		<ctl name="DACSL_MIXER_PGA_GAIN" value="3" />
		<ctl name="DACSL_MIXER_MDM_GAIN" value="3" />
		<ctl name="EP_GAIN" value="4" />
	</path>

	<path name="mmi-test-submic-with-ultrasonic" >
		<ctl name="MIC4_PGA_GAIN" value="10" />
		<ctl name="AUXMIC_PGA_GAIN" value="10" />
	</path>

	<path name="ultrasonic-earpiece-submic" >
		<ctl name="DACSL_MIXER_MDM_GAIN" value="2" />
		<ctl name="EP_GAIN" value="7" />
		<ctl name="AUXMIC_PGA_GAIN" value="5" />
	</path>
</mixer>
